This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1306924 - SELinux is preventing iptables-restor from read, write access on the file 2F746D702F6666694E6353745737202864656C6574656429.
SELinux is preventing iptables-restor from read, write access on the file 2F7...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d99fe7a02fe651c48f508ade219...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 03:31 EST by Vít Ondruch
Modified: 2016-02-25 09:30 EST (History)
7 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-172.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 09:30:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2016-02-12 03:31:30 EST
Description of problem:
SELinux is preventing iptables-restor from read, write access on the file 2F746D702F6666694E6353745737202864656C6574656429.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that iptables-restor should be allowed read write access on the 2F746D702F6666694E6353745737202864656C6574656429 file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep iptables-restor /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:iptables_t:s0
Target Context                system_u:object_r:firewalld_tmpfs_t:s0
Target Objects                2F746D702F6666694E6353745737202864656C6574656429 [
                              file ]
Source                        iptables-restor
Source Path                   iptables-restor
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-171.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.4.0-1.fc24.x86_64 #1 SMP Mon Jan
                              11 16:48:24 UTC 2016 x86_64 x86_64
Alert Count                   69
First Seen                    2016-02-09 11:58:37 CET
Last Seen                     2016-02-12 09:30:12 CET
Local ID                      62945b5b-a84b-4a1a-8cdb-99bf2d2153fe

Raw Audit Messages
type=AVC msg=audit(1455265812.369:322): avc:  denied  { read write } for  pid=1654 comm="iptables" path=2F746D702F6666694E6353745737202864656C6574656429 dev="tmpfs" ino=24870 scontext=system_u:system_r:iptables_t:s0 tcontext=system_u:object_r:firewalld_tmpfs_t:s0 tclass=file permissive=0


Hash: iptables-restor,iptables_t,firewalld_tmpfs_t,file,read,write

Version-Release number of selected component:
selinux-policy-3.13.1-171.fc24.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.4.0-1.fc24.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2016-02-15 05:30:56 EST
Hi Vit, 
Do you know when this happen?

Thomas, 
Any hint here? 

Thank you.
Comment 2 Daniel Walsh 2016-02-15 08:59:38 EST
This is actually a bug in the kernel and should be dontaudited.
Comment 3 Vít Ondruch 2016-02-23 02:21:59 EST
(In reply to Lukas Vrabec from comment #1)
> Hi Vit, 
> Do you know when this happen?
> 
> Thomas, 
> Any hint here? 
> 
> Thank you.

This very likely happened when I woke up my LP from sleep/hibernation.
Comment 4 Jan Kurik 2016-02-24 10:52:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.